# DescribeDiskCategory

## 1. API Description

This API (DescribeDiskCategory) is used to query the list of cloud disk types supported in the specified zone. You can filter by disk category. Use this to confirm available disk types before creating a disk.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                           |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------- |
| zoneId         | No       | String | Availability zone ID.                                                                                 |
| diskCategory   | No       | String | <p>Disk type.</p><p>Basic NVMe SSD: the Basic NVMe SSD. Standard NVMe SSD: the Standard NVMe SSD.</p> |

## 3. Output Parameters

| Parameter Name  | Type                                                                                                      | Description                                                                                                           |
| --------------- | --------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId       | String                                                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| categoryZoneSet | Array of [DescribeDiskCategoryItem](/api-reference/compute/zec/datastructure.md#describediskcategoryitem) | Information on disks.                                                                                                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query supported disk type.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDiskCategory
<Common Request Params>

Request:
{
  "zoneId": "europe-central-1a",
  "diskCategory": "Basic NVMe SSD"
}

Response:
{
  "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
  "response": {
    "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
    "categoryZoneSet": [
      {
        "zoneId": "europe-central-1a",
        "categorySet": [
          "Basic NVMe SSD"
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                | Description            |
| ---------------- | ------------------------- | ---------------------- |
| 404              | INVALID\_ZONE\_NOT\_FOUND | Region does not exist. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk/describediskcategory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
